Subject: RE: Proposal for rework of charter

From: "Putzolu, David" <[email-masked]>
Date: Wed, 4 Oct 2000 14:32:47 -0700

Was there some text lost when the recharter was posted?
Under the section titled, "IP Packet Switches" it talks 
about coordinating with the MPLS group rather than talking
about control of IP packet switches.

Thanks,
David Putzolu

> -----Original Message-----
> From: Avri Doria [mailto:[email-masked]]
> Sent: Monday, October 02, 2000 11:12 AM
> To: [email-masked]
> Subject: Proposal for rework of charter
> 
> 
> The following is the current wording of the proposed 
> re-charter of the 
> group.  Before sending it on to the ADs, I am looking for WG consensus
> on sending it on.  Please comment within the next 2 weeks 
> (i.e., by 16 October)
> 
> 
> thanks
> a.
> -- 
> 
> Avri Doria
> +1 401 663 5024
> 
> 
> ---------------
> GSMP WG Re-Charter
> 
> The base General Switch Management Protocol(GSMPv3) protocol is about
> to be submitted to the IESG with the request that it be made a
> proposed standard.
> 
> Currently the GSMP protocol provides switch configuration control and
> reporting, port management, connection control, QoS and traffic
> engineering control and the reporting of statistics and asynchronous
> events for label switch devices.
> 
> The current working group is responsible for completing the
> standardization of the GSMP protocol under the current charter.
> Future work includes:
> 
>   adding support for optical switching
>   defining mechanisms for switch partitioning 
>   defining mechanisms for control of IP packet switches.
> 
> - Support for Optical Switching
> 
> The architecture of some optical switches makes the ability 
> to remotely
> control the connection state of a switch important.  GSMP has been
> designed especially for such remote control operations.  GSMP is
> currently lacking in the specific semantics necessary for optical
> switches. The WG will add these capabilities to the GSMP 
> specification.
> This work will be done in cooperation with the IP over Optics working
> group.
> 
> - Switch Partitioning
> 
> The current version of GSMP is designed to work with a single static
> switch partition. There is interest in having GSMP support multiple
> partitions in which resource allocation is dynamic and 
> variable between
> the switch partitions.  This will be achieved by adding 
> capabilities to
> GSMP and by using available management tools, e.g. MIBS and PIBS.
> 
> - IP Packet Switches
> 
> Since GSMP can be used as an adjunct to the MPLS protocol, the group
> will continue to co-ordinate with the MPLS group to make sure that the
> primitives required by a MPLS controller are available in the
> protocol.
> 
> 
> Milestones:
> 
> - Document requirements for switch partitioning (Spring 2001)
> 
> - Document requirements for control of optical switches (Spring 2001)
> 
> - Document requirements for control of IP packet switches (Spring
>   2001)
> 
> - Produce GSMP extensions, MIBs, and PIBs to support the requirements
>   (Fall 2001)
> 
> - Update base GSMPv3 as implementation experience mandates
>

---

From: "Avri Doria" <[email-masked]>
Date: Fri, 06 Oct 2000 12:16:43 -0400

> about control of IP packet switches.

Thank you David, it was a cut and paste error.
The updated version with edits and comments to date included:

GSMP WG Re-Charter

  adding support for optical and TDM  switching
  defining mechanisms for switch partitioning 
  defining mechanisms for control of IP packet switches.

The architecture of some optical switches makes the ability to remotely
control the connection state of a switch important.  GSMP has been
designed especially for such remote control operations.  GSMP is
currently lacking in the specific semantics necessary for optical
switches. The WG will add these capabilites to the GSMP specification.
This work will be done in cooperation with the IP over Optics working
group.

- Support for other switching techiniques

The WG will collect requirements and define solutions to support
TDM, spatial and other switch types.  This work will parallel the efforts
currently underway in the MPLS group, i.e. Generic MPLS.

- Switch Partitioning

The current version of GSMP is designed to work with a single static
switch partition. There is need to adapt GSMP to work with multiple
partions in which resource allocation is dynamic and variable between
the switch partitions.  This will be achieved by adding capabilites to
GSMP and by using available management tools, e.g. MIBS and PIBS.

- IP Packet Switches

Work is being done to create IP forwarding devices that are controlled
by remote control plane controllers responsible for route determination.
The GSMP working group will specify requirements and solutions relating
to the control IP packet forwarding devices.  This control will
include configuration control, port management, QoS, and traffic
engineering control and reporting of statistics.  This will be
achieved by a combination of added capabilities to GSMP and by using
available management tools, e.g. MIBs and PIBS.

- Continuing support of MPLS controllers

Milestones:

- Document requirements for control of Generici MPLS switches (Spring
  2001)

---

From: Jaroslaw Sydir <[email-masked]>
Date: Mon, 16 Oct 2000 14:55:58 -0700

Avri,

Sorry for the delayed response. I've been away attending to family matters.
All of the items sound reasonable, althought together it all sounds a bit
ambitious.

Jerry

Avri Doria wrote:

>   ------------------------------------------------------------------------
> GSMP WG Re-Charter
>

---

From: "tom worster" <[email-masked]>
Date: Wed, 18 Oct 2000 18:53:55 -0400

From: [email-masked] [mailto:[email-masked]]On Behalf Of
Jaroslaw Sydir
> All of the items sound reasonable, althought together it all 

it's good to be a bit ambitious. it's being too ambitious 
that's not so good ;-)

c u
fsb

---

From: "Avri Doria" <[email-masked]>
Date: Wed, 18 Oct 2000 23:15:13 -0400

Hi,

I agree that it is an ambitious work load, but it is the load that 
members  of the group thought was warranted (even to the point of 
reminding me about work I had let drop off the list).  And I assume
it is a work list that the members of the group are willing to work
on.

When it gets submitted to the ADs, it will be reviewed by them and
we may need to substantiate both the importance of the work and
our ability to get it done.  They may well decide that some of the
work items are better left off the list for now or that some of
the items may be better placed in another WG.  As I understand the
procedure, once the proposal is submitted they will review it, and
if it is problematic they will come back to us before either
rejecting the proposal or passing it on to the IESG/IAB. 

As the period for review has ended without any objections, I will
be passing the proposed charter on to the ADs.

Regards and thanks for the review and the comments.

a.

-- 

Avri Doria
+1 401 663 5024